Package ru.bitel.bgbilling.kernel.module.common.bean

# Class Service

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.Service

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Service extends IdTitle
Услуга по наработкам в договоре.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Service()`
  `Service(int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `Service`
  `copy()`
  `Period`
  `getActivePeriod()`
  `String`
  `getConfig()`
  `Preferences`
  `getConfigPreferences()`
  только для чтения параметров конфигурации
  `int`
  `getModuleId()`
  `int`
  `getUnit()`
  `boolean`
  `isUsing()`
  `Service`
  `setActivePeriod(Period activePeriod)`
  `Service`
  `setConfig(String config)`
  `Service`
  `setId(int id)`
  Устанавливает id объекта
  `Service`
  `setModuleId(int moduleId)`
  `Service`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `Service`
  `setUnit(int unit)`
  `Service`
  `setUsing(boolean used)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Service

    public Service()

  - ### Service

    public Service(int moduleId)

- ## Method Details

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`

  - ### copy

    public Service copy()

  - ### getActivePeriod

    public Period getActivePeriod()

  - ### getConfig

    public String getConfig()

  - ### getConfigPreferences

    public Preferences getConfigPreferences()
    только для чтения параметров конфигурации
    Returns:

  - ### getModuleId

    public int getModuleId()

  - ### getUnit

    public int getUnit()

  - ### isUsing

    public boolean isUsing()

  - ### setActivePeriod

    public Service setActivePeriod(Period activePeriod)

  - ### setConfig

    public Service setConfig(String config)

  - ### setId

    public Service setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setModuleId

    public Service setModuleId(int moduleId)

  - ### setTitle

    public Service setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setUnit

    public Service setUnit(int unit)

  - ### setUsing

    public Service setUsing(boolean used)